/**
 * HistoryItem.java ,working in local file system.  Version 0.55
 *
 * Copyright (C) 2001 Olga Joloud (ojoloud@ee.ryerson.ca)
 * All Rights Reserved.
 *
 * v 1.20 2001/03/01 08:10:53 
 **/
import javax.swing.*;
import javax.swing.text.html.*;
import java.io.*;
import java.awt.event.*;
import java.awt.*;
import java.util.*;


/** Creates history element, which is combination
  *  of file name and date 
  *  <pre>
  *  HistoryItem hi = new HistoryItem( name, fTime);
  *  String date = hi.getDate()
  *  </pre>
  *  
  **/
public class HistoryItem
{
  public String name;
  public long fTime;
  public Date date;

  /** Initializes HystoryItem object with specified 
   * file name, timestamp
   * @param name  - File name
   * @param fTime - File timestamp
   **/ 

  public HistoryItem ( String name, long fTime)
  {
	this.name = name;
	this.fTime = fTime;
  }
  /** date object is created from value returned 
   * by f.lastModified() and converted to String
   * @return converted to string Date object in the 
   *         form dow mon dd hh:mm:ss zzz yyyy, where dow 
   *         day of the week
   **/
  public String getDate()
  {
	Date d = new Date(fTime);
	
    return d.toString();
	
  }
  /** Creates History element by adding file name
   * and Date
   * @return string which is combination of file name, string "at"
   * and converted to a string Date value in the form 
   * dow mon dd hh:mm:ss zzz yyyy, where dow day of the week
   **/
  public String toString()
	
  {
	return name + " at " + getDate();
  }
}

    
